Repository Credentials
CreateRepositoryCredentials creates a new repository credential.
Agent identifier for entity.
Account Identifier for the Entity.
Organization Identifier for the Entity.
Project Identifier for the Entity.
A successful response.
Account Identifier for the Entity.
Organization Identifier for the Entity.
Project Identifier for the Entity.
Agent identifier for entity.
Kubernetes ObjectMeta.UID of the repository credentials Secret.
Sub-identifier for ConfigMap-extracted entities; empty for RepoCreds.
UID of the parent agent document.
An unexpected error response.
POST /api/v1/agents/{agentIdentifier}/repocreds HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 314
{
"creds": {
"url": "text",
"username": "text",
"password": "text",
"sshPrivateKey": "text",
"tlsClientCertData": "text",
"tlsClientCertKey": "text",
"githubAppPrivateKey": "text",
"githubAppID": "text",
"githubAppInstallationID": "text",
"githubAppEnterpriseBaseUrl": "text",
"enableOCI": true,
"type": "text",
"name": "text"
},
"upsert": true
}{
"accountIdentifier": "text",
"orgIdentifier": "text",
"projectIdentifier": "text",
"agentIdentifier": "text",
"identifier": "text",
"repoCreds": {
"url": "text",
"username": "text",
"password": "text",
"sshPrivateKey": "text",
"tlsClientCertData": "text",
"tlsClientCertKey": "text",
"githubAppPrivateKey": "text",
"githubAppID": "text",
"githubAppInstallationID": "text",
"githubAppEnterpriseBaseUrl": "text",
"enableOCI": true,
"type": "text",
"name": "text"
},
"createdAt": "2026-01-01T00:00:00.000Z",
"lastModifiedAt": "2026-01-01T00:00:00.000Z",
"stale": true,
"uuid": "text",
"subId": "text",
"agentUuid": "text"
}GetCredentialsForRepositoryUrl returns a repository credential given its url.
Agent identifier for entity.
Account Identifier for the Entity.
Organization Identifier for the Entity.
Project Identifier for the Entity.
A successful response.
Account Identifier for the Entity.
Organization Identifier for the Entity.
Project Identifier for the Entity.
Agent identifier for entity.
Kubernetes ObjectMeta.UID of the repository credentials Secret.
Sub-identifier for ConfigMap-extracted entities; empty for RepoCreds.
UID of the parent agent document.
An unexpected error response.
POST /api/v1/agents/{agentIdentifier}/repocreds/get HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 37
{
"url": "text",
"repoCredsType": "text"
}{
"accountIdentifier": "text",
"orgIdentifier": "text",
"projectIdentifier": "text",
"agentIdentifier": "text",
"identifier": "text",
"repoCreds": {
"url": "text",
"username": "text",
"password": "text",
"sshPrivateKey": "text",
"tlsClientCertData": "text",
"tlsClientCertKey": "text",
"githubAppPrivateKey": "text",
"githubAppID": "text",
"githubAppInstallationID": "text",
"githubAppEnterpriseBaseUrl": "text",
"enableOCI": true,
"type": "text",
"name": "text"
},
"createdAt": "2026-01-01T00:00:00.000Z",
"lastModifiedAt": "2026-01-01T00:00:00.000Z",
"stale": true,
"uuid": "text",
"subId": "text",
"agentUuid": "text"
}GetRepositoryCredentials retrieves a repository credential given its identifier.
Agent identifier for entity.
Account Identifier for the Entity.
Organization Identifier for the Entity.
Project Identifier for the Entity.
Repo URL for query.
RepoCreds type - git or helm.
A successful response.
Account Identifier for the Entity.
Organization Identifier for the Entity.
Project Identifier for the Entity.
Agent identifier for entity.
Kubernetes ObjectMeta.UID of the repository credentials Secret.
Sub-identifier for ConfigMap-extracted entities; empty for RepoCreds.
UID of the parent agent document.
An unexpected error response.
GET /api/v1/agents/{agentIdentifier}/repocreds/{identifier} HTTP/1.1
Accept: */*
{
"accountIdentifier": "text",
"orgIdentifier": "text",
"projectIdentifier": "text",
"agentIdentifier": "text",
"identifier": "text",
"repoCreds": {
"url": "text",
"username": "text",
"password": "text",
"sshPrivateKey": "text",
"tlsClientCertData": "text",
"tlsClientCertKey": "text",
"githubAppPrivateKey": "text",
"githubAppID": "text",
"githubAppInstallationID": "text",
"githubAppEnterpriseBaseUrl": "text",
"enableOCI": true,
"type": "text",
"name": "text"
},
"createdAt": "2026-01-01T00:00:00.000Z",
"lastModifiedAt": "2026-01-01T00:00:00.000Z",
"stale": true,
"uuid": "text",
"subId": "text",
"agentUuid": "text"
}UpdateRepositoryCredentials updates a specific repository credential.
Agent identifier for entity.
Account Identifier for the Entity.
Organization Identifier for the Entity.
Project Identifier for the Entity.
A successful response.
Account Identifier for the Entity.
Organization Identifier for the Entity.
Project Identifier for the Entity.
Agent identifier for entity.
Kubernetes ObjectMeta.UID of the repository credentials Secret.
Sub-identifier for ConfigMap-extracted entities; empty for RepoCreds.
UID of the parent agent document.
An unexpected error response.
PUT /api/v1/agents/{agentIdentifier}/repocreds/{identifier} HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 332
{
"creds": {
"url": "text",
"username": "text",
"password": "text",
"sshPrivateKey": "text",
"tlsClientCertData": "text",
"tlsClientCertKey": "text",
"githubAppPrivateKey": "text",
"githubAppID": "text",
"githubAppInstallationID": "text",
"githubAppEnterpriseBaseUrl": "text",
"enableOCI": true,
"type": "text",
"name": "text"
},
"updateMask": {
"paths": [
"text"
]
}
}{
"accountIdentifier": "text",
"orgIdentifier": "text",
"projectIdentifier": "text",
"agentIdentifier": "text",
"identifier": "text",
"repoCreds": {
"url": "text",
"username": "text",
"password": "text",
"sshPrivateKey": "text",
"tlsClientCertData": "text",
"tlsClientCertKey": "text",
"githubAppPrivateKey": "text",
"githubAppID": "text",
"githubAppInstallationID": "text",
"githubAppEnterpriseBaseUrl": "text",
"enableOCI": true,
"type": "text",
"name": "text"
},
"createdAt": "2026-01-01T00:00:00.000Z",
"lastModifiedAt": "2026-01-01T00:00:00.000Z",
"stale": true,
"uuid": "text",
"subId": "text",
"agentUuid": "text"
}DeleteRepositoryCredentials deletes a specific repository credential.
Agent identifier for entity.
Account Identifier for the Entity.
Organization Identifier for the Entity.
Project Identifier for the Entity.
A successful response.
An unexpected error response.
DELETE /api/v1/agents/{agentIdentifier}/repocreds/{identifier} HTTP/1.1
Accept: */*
{}ListRepositoryCredentials retrieves a list of all repository credentials.
Account Identifier for the Entity.
Project Identifier for the Entity.
Organization Identifier for the Entity.
Agent identifier for entity.
Filters for Repo Credentials. Eg. "identifier": { "$in": ["id1", "id2"]
A successful response.
An unexpected error response.
POST /api/v1/repocreds HTTP/1.1
Content-Type: application/json
Accept: */*
Content-Length: 208
{
"accountIdentifier": "text",
"projectIdentifier": "text",
"orgIdentifier": "text",
"agentIdentifier": "text",
"identifier": "text",
"searchTerm": "text",
"pageSize": 1,
"pageIndex": 1,
"filter": {},
"includeChildScopes": true
}{
"content": [
{
"accountIdentifier": "text",
"orgIdentifier": "text",
"projectIdentifier": "text",
"agentIdentifier": "text",
"identifier": "text",
"repoCreds": {
"url": "text",
"username": "text",
"password": "text",
"sshPrivateKey": "text",
"tlsClientCertData": "text",
"tlsClientCertKey": "text",
"githubAppPrivateKey": "text",
"githubAppID": "text",
"githubAppInstallationID": "text",
"githubAppEnterpriseBaseUrl": "text",
"enableOCI": true,
"type": "text",
"name": "text"
},
"createdAt": "2026-01-01T00:00:00.000Z",
"lastModifiedAt": "2026-01-01T00:00:00.000Z",
"stale": true,
"uuid": "text",
"subId": "text",
"agentUuid": "text"
}
],
"totalPages": 1,
"totalItems": 1,
"pageItemCount": 1,
"pageSize": 1,
"pageIndex": 1,
"empty": true
}Last updated
Was this helpful?